Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Syntax.Common.Pretty.ANSI

Synopsis

- renderAnsiIO :: Doc -> IO ()
- putDoc :: (MonadIO m, HasOptions m) => Doc -> m ()

# Documentation

renderAnsiIO :: Doc -> IO () Source #

Render an annotated, pretty-printing `Doc`ument into a string suitable for printing on VT100-compatible terminals.

putDoc :: (MonadIO m, HasOptions m) => Doc -> m () Source #